#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define		pdir	Mail
%define		pnam	SPF
Summary:	Mail::SPF - Mail Sender Authentication
Summary(pl.UTF-8):	Mail::SPF - uwierzytelnianie wysyłającego pocztę
Name:		perl-Mail-SPF
Version:	3.20240206
Release:	1%{?tld}
# "same as perl"
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	da1b4b35241de31553bc00626db90c12
Patch0:		tests-fix.patch
URL:		http://search.cpan.org/dist/Mail-SPF/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Net-DNS >= 0.58
BuildRequires:	perl-NetAddr-IP
BuildRequires:	perl-version
BuildRequires:	perl-Net-DNS-Resolver-Programmable
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl		Mail::SPF::GlobalMod

%description
This is an initial draft object oriented reimplementation of
Mail::SPF::Query. It is not yet fully tested, and does not yet contain
all of the additional features expected of a practical SPF
implementation.

%description -l pl.UTF-8
To jest początkowa zorientowana obiektowo reimplementacja
Mail::SPF::Query. Nie jest jeszcze w pełni przetestowana i nie zawiera
jeszcze wszystkich dodatkowych możliwości oczekiwanych od praktycznej
implementacji SPF.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

# These tests mess around with resolv.conf and networking
# that are not present on builders
%{__rm} t/00.04-class-server.t t/00.05-class-macrostring.t


%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

# Move spfd from /usr/bin to /usr/sbin to keep path same
# as in older versions, note: needs spfd-path.patch!
install -d $RPM_BUILD_ROOT%{_sbindir}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/spfd $RPM_BUILD_ROOT%{_sbindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spfquery
%attr(755,root,root) %{_sbindir}/spfd
%{perl_vendorlib}/Mail/SPF.pm
%dir %{perl_vendorlib}/Mail/SPF
%{perl_vendorlib}/Mail/SPF/*.pm
%dir %{perl_vendorlib}/Mail/SPF/Mech
%{perl_vendorlib}/Mail/SPF/Mech/*.pm
%{perl_vendorlib}/Mail/SPF/Mod
%{perl_vendorlib}/Mail/SPF/v1
%{perl_vendorlib}/Mail/SPF/v2
%{_mandir}/man1/*
%{_mandir}/man3/*
%changelog
* Sun Apr 28 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Mail-SPF.git;a=log;h=master

* Sun Apr 28 2024 Marcin Krol <hawk@tld-linux.org> 506320a
- updated to 3.20240206

* Mon May 18 2020 Jan Rękorajski <baggins@pld-linux.org> ed47aff
- fix noauto req
- rel 4

* Mon May 18 2020 Jan Rękorajski <baggins@pld-linux.org> 90b4a94
- release 3 (by relup.sh)

* Mon May 18 2020 Jan Rękorajski <baggins@pld-linux.org> 807a277
- remove tests that have no chance to work on builders

* Mon May 18 2020 Jan Rękorajski <baggins@pld-linux.org> fa440f1
- updated BRs

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 051ca8f
- drop obsolete and outdated manual inclusion of rpm macros

* Mon May 28 2018 Marcin Krol <hawk@tld-linux.org> 653876a
- noautoreq Mail::SPF::GlobalMod, its part of Mail::SPF::Mod

* Mon May 28 2018 Marcin Krol <hawk@tld-linux.org> ec7e92a
- updated to 2.9.0

* Fri Jul 25 2008 Tomasz Pala <gotar@pld-linux.org> 48f9951
- removed non-effective autodeps bcond

* Thu May 03 2007 Adam Gołębiowski <adamg@pld-linux.org> fa69bc0
- release 1

* Thu May 03 2007 Adam Gołębiowski <adamg@pld-linux.org> de42022
- updated to 2.004

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 78b9e50
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ad3b03c
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> c8c379e
- pl, cleanup

* Thu Jul 27 2006 Maciej Pijanka <agaran@pld-linux.org> 4a0063c
- initial, version 2.0, rel 0.1, builds here,

